org.apache.mina.example.echoserver.ssl

## Class SslServerSocketFactory

- java.lang.Object
- - javax.net.ServerSocketFactory
  - - org.apache.mina.example.echoserver.ssl.SslServerSocketFactory

-     public class SslServerSocketFactory
      extends ServerSocketFactory

  Simple Server Socket factory to create sockets with or without SSL enabled. If SSL enabled a "bougus" SSL Context is used (suitable for test purposes)
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslServerSocketFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerSocket` | `createServerSocket(int port)`
    `ServerSocket` | `createServerSocket(int port, int backlog)`
    `ServerSocket` | `createServerSocket(int port, int backlog, InetAddress ifAddress)`
    `static ServerSocketFactory` | `getServerSocketFactory()`
    `static boolean` | `isSslEnabled()`
    `static void` | `setSslEnabled(boolean newSslEnabled)`

    - ### Methods inherited from class javax.net.ServerSocketFactory

      `createServerSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslServerSocketFactory

          public SslServerSocketFactory()

  - ### Method Detail

    - #### createServerSocket

          public ServerSocket createServerSocket(int port)
                                          throws IOException

      Specified by:
        `createServerSocket` in class `ServerSocketFactory`
      Throws:
        `IOException`

    - #### createServerSocket

          public ServerSocket createServerSocket(int port,
                                        int backlog)
                                          throws IOException

      Specified by:
        `createServerSocket` in class `ServerSocketFactory`
      Throws:
        `IOException`

    - #### createServerSocket

          public ServerSocket createServerSocket(int port,
                                        int backlog,
                                        InetAddress ifAddress)
                                          throws IOException

      Specified by:
        `createServerSocket` in class `ServerSocketFactory`
      Throws:
        `IOException`

    - #### getServerSocketFactory

          public static ServerSocketFactory getServerSocketFactory()
                                                            throws IOException

      Throws:
        `IOException`

    - #### isSslEnabled

          public static boolean isSslEnabled()

    - #### setSslEnabled

          public static void setSslEnabled(boolean newSslEnabled)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.